Debian Bug report logs - #512883
gphoto2: Silently fails when unable to retreive files from camera

version graph

Package: gphoto2; Maintainer for gphoto2 is Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>; Source for gphoto2 is src:gphoto2.

Reported by: "Mahesh T. Pai" <paivakil@gmail.com>

Date: Sat, 24 Jan 2009 16:51:06 UTC

Severity: grave

Found in version gphoto2/2.4.0-1

Fixed in version gphoto2/2.4.5-3

Done: David Paleino <dapal@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=452042&group_id=8874&atid=108874

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frederic Peters <fpeters@debian.org>:
Bug#512883; Package gphoto2. (Sat, 24 Jan 2009 16:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mahesh T. Pai" <paivakil@gmail.com>:
New Bug report received and forwarded. Copy sent to Frederic Peters <fpeters@debian.org>. (Sat, 24 Jan 2009 16:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mahesh T. Pai" <paivakil@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gphoto2: Silently fails when unable to retreive files from camera
Date: Sat, 24 Jan 2009 22:25:54 +0530
Package: gphoto2
Version: 2.4.0-1
Severity: normal


When I run "gphoto2 -P" from within a directory where the user has no write permissions, 
gphoto shows that the file is being retreived, and shows a successful exit, though the files 
are not actually saved on to the harddisk. 

A sample directory permission where the command failed:-

drwxr-xr-x  3 paivakil root         4096 2008-04-21 10:59 2008March2

A different user, who is not a member of the "root" group ran gphoto2 -P 
from within the above directory, and was told that the files are being 
downloaded. Running ls at the end of the process shows that the files were
not actually saved:-

Output of the command:-

gphoto2 -P
Downloading '100_2496.JPG' from folder '/store_00010001/DCIM/100KC663'...
Saving file as 100_2496.JPG
Downloading '100_2497.JPG' from folder '/store_00010001/DCIM/100KC663'...
Saving file as 100_2497.JPG
Downloading 'DDISCVRY.DPS' from folder '/store_00020001'...
Saving file as DDISCVRY.DPS

Resulst of ls -la at end of the command:-

total 22632
-rw------- 1 nandana camera 1486326 2008-03-03 21:23 100_1523.JPG
-rw------- 1 nandana camera 1425718 2008-03-03 21:23 100_1524.JPG
-rw------- 1 nandana camera 1467106 2008-03-03 21:23 100_1525.JPG
-rw------- 1 nandana camera 1238891 2008-03-03 21:23 100_1526.JPG
-rw------- 1 nandana camera 1251119 2008-03-03 21:24 100_1527.JPG
-rw------- 1 nandana camera 1424014 2008-03-03 21:24 100_1528.JPG
-rw------- 1 nandana camera 1066989 2008-03-03 21:24 100_1529.JPG
-rw------- 1 nandana camera 1244265 2008-03-03 21:24 100_1530.JPG
-rw------- 1 nandana camera 1945151 2008-03-03 21:24 100_1531.JPG
-rw------- 1 nandana camera 1664090 2008-03-03 21:24 100_1532.JPG
-rw------- 1 nandana camera 1411502 2008-03-03 21:24 100_1533.JPG
-rw------- 1 nandana camera  675804 2008-03-03 21:24 100_1534.JPG
-rw------- 1 nandana camera 1290160 2008-03-03 21:24 100_1535.JPG
-rw------- 1 nandana camera 1384751 2008-03-03 21:24 100_1536.JPG
-rw------- 1 nandana camera 1386654 2008-03-03 21:24 100_1537.JPG
-rw------- 1 nandana camera  740676 2008-03-03 21:24 100_1538.JPG
-rw------- 1 nandana camera 1161485 2008-03-03 21:24 100_1539.JPG
-rw------- 1 nandana camera  805859 2008-03-03 21:24 100_1540.JPG

(Those files were already in the folder; before running gphoto; downloaded 
earlier, and chmod'ed.  the point I want to make is that the two files we 
are told are being saved are not found in the listing).


But running under strace does show some problems:-

ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = 0                                                                         
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe9254af0) = 0                                                                             
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = 0                                                                         
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe9254af0) = 0                                                                             
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = 0                                                                         
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe9254af0) = 0                                                                             
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = 0                                                                         
write(1, "Downloading... |-----------------"..., 80Downloading... 
|---------------------------------------------| 100.0%     ) = 80                                                                                                                       
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe9254af0) = 0                                                                             
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = 0                                                                         
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe9254af0) = 0                                                                             
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = 0                                                                         
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe9254af0) = 0                                                                             
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254b68) = 0                                                                         
write(1, "                                 "..., 80                                                                          
) = 80                                                                                                                       
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe9254b30) = 0                                                                             
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254ba8) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)                                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254ba8) = -1 EAGAIN (Resource temporarily unavailable)                              
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})                                                        
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9254ba8) = 0                                                                         
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=265, ...}) = 0
stat("100_2497.JPG", 0x7fffe9255130)    = -1 ENOENT (No such file or directory)
write(1, "Saving file as 100_2497.JPG\n"..., 28Saving file as 100_2497.JPG
) = 28
brk(0xf8c000)                           = 0xf8c000
open("tmpfileX2ivXJ", O_RDWR|O_CREAT|O_EXCL, 0600) = -1 EACCES (Permission denied)
write(2, "Downloading 'DDISCVRY.DPS' from f"..., 59Downloading 'DDISCVRY.DPS' from folder 
'/store_00020001'...) = 59
write(2, "\n"..., 1
)                    = 1
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=265, ...}) = 0
stat("DDISCVRY.DPS", 0x7fffe92551d0)    = -1 ENOENT (No such file or directory)
write(1, "Saving file as DDISCVRY.DPS\n"..., 28Saving file as DDISCVRY.DPS
) = 28
munmap(0x7f9cde59f000, 2621440)         = 0
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe92555f0) = 0
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9255668) = -1 EAGAIN (Resource temporarily unavailable)
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9255668) = 0
ioctl(4, USBDEVFS_SUBMITURB, 0x7fffe92555a0) = 0
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9255618) = -1 EAGAIN (Resource temporarily unavailable)
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9255618) = -1 EAGAIN (Resource temporarily unavailable)
select(5, NULL, [4], NULL, {0, 1000})   = 0 (Timeout)
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9255618) = -1 EAGAIN (Resource temporarily unavailable)
select(5, NULL, [4], NULL, {0, 1000})   = 1 (out [4], left {0, 1000})
ioctl(4, USBDEVFS_REAPURBNDELAY, 0x7fffe9255618) = 0
ioctl(4, USBDEVFS_CLEAR_HALT, 0x7fffe9256724) = 0
ioctl(4, USBDEVFS_CLEAR_HALT, 0x7fffe9256724) = 0
ioctl(4, USBDEVFS_CLEAR_HALT, 0x7fffe9256724) = 0
ioctl(4, USBDEVFS_RELEASEINTERFACE, 0x7fffe9256744) = 0
close(4)                                = 0
munmap(0x7f9cdea4a000, 2386664)         = 0
munmap(0x7f9cdec91000, 2113376)         = 0
brk(0x970000)                           = 0x970000
exit_group(0)                           = ?


(only last few lines of strace output).

About the camera:-

[10879.508011] usb 4-1: new full speed USB device using uhci_hcd and address 12
[10879.705686] usb 4-1: configuration #1 chosen from 1 choice
[10879.708824] usb 4-1: New USB device found, idVendor=040a, idProduct=05a8
[10879.708831] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[10879.708834] usb 4-1: Product: KODAK EasyShare C663 Zoom Digital Camera
[10879.708837] usb 4-1: Manufacturer: Eastman Kodak Company
[10879.708840] usb 4-1: SerialNumber: KCKEZ54900455



-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gphoto2 depends on:
ii  libc6                     2.9-0exp1      GNU C Library: Shared libraries
ii  libcdk5                   5.0.20060507-1 C-based curses widget library
ii  libexif12                 0.6.16-2.1     library to parse EXIF files
ii  libgphoto2-2              2.4.3-1        gphoto2 digital camera library
ii  libgphoto2-port0          2.4.3-1        gphoto2 digital camera port librar
ii  libjpeg62                 6b-14          The Independent JPEG Group's JPEG 
ii  libncurses5               5.7+20090110-1 shared libraries for terminal hand
ii  libpopt0                  1.14-4         lib for parsing cmdline parameters
ii  libreadline5              5.2-3          GNU readline and history libraries
ii  libusb-0.1-4              2:0.1.12-13    userspace USB programming library

gphoto2 recommends no packages.

Versions of packages gphoto2 suggests:
pn  gthumb                        <none>     (no description available)
pn  gtkam                         <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#512883; Package gphoto2. (Fri, 24 Sep 2010 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Couter <sam@couter.id.au>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Fri, 24 Sep 2010 08:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 512883@bugs.debian.org (full text, mbox):

From: Sam Couter <sam@couter.id.au>
To: 512883@bugs.debian.org, control@bugs.debian.org
Subject: Potential data loss
Date: Fri, 24 Sep 2010 17:55:11 +1000
[Message part 1 (text/plain, inline)]
severity 512883 grave
stop

Nightmare scenario I'm currently in:

gphoto2 --get-all-files && gphoto2 --delete-all-files

Photos gone. Explain to wife where photos went. Hastily rustle up SD
card reader, install FAT undelete utilities, hope it all turns out in
the end.
-- 
Sam Couter         |  mailto:sam@couter.id.au
OpenPGP fingerprint:  A46B 9BB5 3148 7BEA 1F05  5BD5 8530 03AE DE89 C75C
[signature.asc (application/pgp-signature, inline)]

Severity set to 'grave' from 'normal' Request was from Sam Couter <sam@couter.id.au> to control@bugs.debian.org. (Fri, 24 Sep 2010 08:15:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/index.php?func=detail&aid=452042&group_id=8874&atid=108874'. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Fri, 12 Nov 2010 10:51:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#512883; Package gphoto2. (Sat, 13 Nov 2010 16:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sat, 13 Nov 2010 16:21:07 GMT) Full text and rfc822 format available.

Message #19 received at 512883@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: 512883@bugs.debian.org
Subject: Tried to reproduce it
Date: Sat, 13 Nov 2010 16:20:17 +0000
Hello,

FYI, I tried to reproduce it, but ended up having to report #603384.

Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>




Reply sent to David Paleino <dapal@debian.org>:
You have taken responsibility. (Sun, 14 Nov 2010 18:06:08 GMT) Full text and rfc822 format available.

Notification sent to "Mahesh T. Pai" <paivakil@gmail.com>:
Bug acknowledged by developer. (Sun, 14 Nov 2010 18:06:08 GMT) Full text and rfc822 format available.

Message #24 received at 512883-close@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 512883-close@bugs.debian.org
Subject: Bug#512883: fixed in gphoto2 2.4.5-3
Date: Sun, 14 Nov 2010 18:03:25 +0000
Source: gphoto2
Source-Version: 2.4.5-3

We believe that the bug you reported is fixed in the latest version of
gphoto2, which is due to be installed in the Debian FTP archive:

gphoto2_2.4.5-3.diff.gz
  to main/g/gphoto2/gphoto2_2.4.5-3.diff.gz
gphoto2_2.4.5-3.dsc
  to main/g/gphoto2/gphoto2_2.4.5-3.dsc
gphoto2_2.4.5-3_i386.deb
  to main/g/gphoto2/gphoto2_2.4.5-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 512883@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Paleino <dapal@debian.org> (supplier of updated gphoto2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Nov 2010 17:14:36 +0100
Source: gphoto2
Binary: gphoto2
Architecture: source i386
Version: 2.4.5-3
Distribution: unstable
Urgency: low
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Changed-By: David Paleino <dapal@debian.org>
Description: 
 gphoto2    - The gphoto2 digital camera command-line client
Closes: 512883
Changes: 
 gphoto2 (2.4.5-3) unstable; urgency=low
 .
   * Warn and exit with an error if files couldn't be written to
     disk (Closes: #512883)
   * Added myself to Uploaders
Checksums-Sha1: 
 25556c1a18461c56cfe0e57e7b77f6e6def8a926 1563 gphoto2_2.4.5-3.dsc
 eab77ea11d46abbe486a695f9d6a3971b4db5197 6519 gphoto2_2.4.5-3.diff.gz
 057372d24617cb28fac40204ea6bf1c3200ab098 207978 gphoto2_2.4.5-3_i386.deb
Checksums-Sha256: 
 5585b17b08246ef7417d3c4ce498194a59b80676b6fdd6acbc015b1ba52b633d 1563 gphoto2_2.4.5-3.dsc
 1ce621a6d57e2375c48728a595fda39d3a99729c2ffcf870568853e35e17af3b 6519 gphoto2_2.4.5-3.diff.gz
 0a25cea28ec2e750f5fb93c7bf7ef7e843fa2c1d4dd807e807cf6f76dddd38f9 207978 gphoto2_2.4.5-3_i386.deb
Files: 
 a4b1de0a05fa860df7b1fe03e779df32 1563 utils extra gphoto2_2.4.5-3.dsc
 155ba1be90ad6bdca81c312bb10f56e1 6519 utils extra gphoto2_2.4.5-3.diff.gz
 7ac31c9356db9301a46147d8b57aafe6 207978 utils extra gphoto2_2.4.5-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAkzgIBoACgkQ5qqQFxOSsXQnbACfbbtH9ZE5gGtaqhASKRROoG3I
MbMAn1nh+MQP/n+H4jmPqX+jOHHRpukt
=wTV3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:03:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:55:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.